%global momorel 2
%global pyver 2.6

Summary: multicast dns network service discovery library
Name: avahi
Version: 0.6.25
Release: %{momorel}m%{?dist}
URL: http://www.avahi.org/
Source0: http://avahi.org/download/%{name}-%{version}.tar.gz
NoSource: 0
Patch1: avahi-0.6.19-lib64.patch

License: GPL
Group: Applications/Communications
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
PreReq: chkconfig, shadow-utils
BuildRequires: glib2-devel >= 2.12.12, gtk2-devel >= 2.10.11
BuildRequires: qt-devel, qt3-devel
BuildRequires: libglade2-devel, dbus-devel
BuildRequires: libdaemon-devel >= 0.11 , expat-devel, gdbm-devel
BuildRequires: python >= %{pyver}, pygtk2
BuildRequires: desktop-file-utils
BuildRequires: dbus-devel >= 1.0.2
BuildRequires: dbus-python >= 0.80.2
BuildRequires: gtk-sharp2-devel >= 2.12.0
%ifnarch ppc64 alpha sparc64
BuildPreReq: mono-devel, monodoc >= 1.2.3-2m
%endif
Obsoletes: avahi-python

%description 
Avahi is a system which facilitates service discovery on a local
network. This means that you can plug your laptop or computer into a
network and instantly be able to view other people who you can chat
with, find printers to print to or find files being shared. This kind
of technology is already found in MacOS X (branded 'Rendezvous',
'Bonjour' and sometimes 'Zeroconf') and is very convenient. Avahi is
mainly based on Lennart Poettering's flexmdns mDNS implementation for
Linux which has been discontinued in favour of Avahi.
#'

#%%package python
#Summary: avahi for python support
#Group: Development/Libraries
#Requires: %%{name} = %%{version}-%%{release}
#
#%%description python
#avahi for python support

%package devel
Summary: Libraries and header files for avahi development
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The avahi-devel package contains the header files and libraries
necessary for developing programs using avahi.

%ifnarch ppc64 alpha sparc64
%package mono
Summary: avahi for mono support
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description mono
avahi for mono support
%endif

%package glib
Summary: avahi for glib support
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description glib
avahi for glibsupport

%package glib-devel
Summary: Libraries and header files for avahi-glib development
Group: Development/Libraries
Requires: %{name}-devel = %{version}-%{release}
Requires: %{name}-glib = %{version}-%{release}

%description glib-devel
The avahi-devel package contains the header files and libraries
necessary for developing programs using avahi with glib.

%package qt3
Summary: avahi for qt3 support
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description qt3
avahi for qt3 support

%package qt3-devel
Summary: Libraries and header files for avahi-qt3 development
Group: Development/Libraries
Requires: %{name}-devel = %{version}-%{release}
Requires: %{name}-qt3 = %{version}-%{release}

%description qt3-devel
The avahi-qt3-devel package contains the header files and libraries
necessary for developing programs using avahi with Qt3.

%package qt4
Summary: avahi for qt4 support
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description qt4
avahi for qt4 support

%package qt4-devel
Summary: Libraries and header files for avahi-qt4 development
Group: Development/Libraries
Requires: %{name}-devel = %{version}-%{release}
Requires: %{name}-qt4 = %{version}-%{release}

%description qt4-devel
The avahi-qt4-devel package contains the header files and libraries
necessary for developing programs using avahi with Qt4.

%prep
%setup -q
%if %{_lib} == "lib64"                                        
%patch1 -p1 -b .lib64~
%endif

%build
%configure \
%ifarch ppc64 alpha sparc64
    --disable-mono \
    --disable-monodoc \
%endif
    --with-avahi-user=avahi \
    --with-avahi-group=avahi \
    --enable-compat-libdns_sd \
    --enable-compat-howl \
    --with-avahi-priv-access-group=avahi \
    --with-autipd-user=avahi \
    --with-autoipd-group=avahi 

%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
find %{buildroot} -name "*.mdb" -delete

# create /var/run/avahi-daemon to ensure correct selinux policy for it:
mkdir -p %{buildroot}%{_localstatedir}/run/avahi-daemon

# Make /etc/avahi/etc/localtime owned by avahi:
mkdir -p %{buildroot}%{_sysconfdir}/avahi/etc
touch %{buildroot}%{_sysconfdir}/avahi/etc/localtime

# install desktop file
desktop-file-install --vendor="" --delete-original \
  --dir %{buildroot}%{_datadir}/applications \
  --remove-category GNOME \
  --remove-category Utility \
    --remove-category Application \
  %{buildroot}%{_datadir}/applications/avahi-discover.desktop

find %{buildroot} -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%pre
%define avahi_user_uid 70

/usr/sbin/groupadd -g %{avahi_user_uid} -r avahi 2> /dev/null || :
/usr/sbin/useradd -r -u %{avahi_user_uid} -s /sbin/nologin -c "Avahi daemon" -d / -g avahi avahi 2> /dev/null || :

%post
/sbin/ldconfig
# Run avahi-daemon by default:
/sbin/chkconfig --add avahi-daemon >/dev/null 2>&1 || :;
# avahi-dnsconfd NOT run by default in any runlevel; add it
# so system-config-services can see it
/sbin/chkconfig --add avahi-dnsconfd >/dev/null 2>&1 || :;
if [ "$1" -eq 1 ]; then
#  We should realy make dbus reload the system.d config here. Dunno how though.
#  kill -HUP `cat /var/run/messagebus.pid` ? 
   if [ -s /etc/localtime ]; then
	cp -fp /etc/localtime /etc/avahi/etc/localtime || :;
   fi;
fi;

%postun
/sbin/ldconfig
if [ "$1" -ge "1" ]; then
   /sbin/service avahi-daemon condrestart >/dev/null 2>&1
   /sbin/service avahi-dnsconfd condrestart >/dev/null 2>&1
fi

%preun
if [ "$1" -eq "0" ]; then
    /sbin/service avahi-daemon stop > /dev/null 2>&1
    /sbin/chkconfig --del avahi-daemon
    /sbin/service avahi-dnsconfd stop >/dev/null 2>&1
    /sbin/chkconfig --del avahi-dnsconfd
fi

%post glib -p /sbin/ldconfig

%postun glib -p /sbin/ldconfig

%post qt3 -p /sbin/ldconfig

%postun qt3 -p /sbin/ldconfig

%post qt4 -p /sbin/ldconfig

%postun qt4 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc LICENSE
%dir %{_sysconfdir}/avahi
%config %{_sysconfdir}/avahi/avahi-daemon.conf
%config %{_sysconfdir}/avahi/avahi-dnsconfd.action
%config %{_sysconfdir}/avahi/avahi-autoipd.action
%dir %{_sysconfdir}/avahi/etc
%ghost %{_sysconfdir}/avahi/etc/localtime
%{_sysconfdir}/avahi/hosts
%dir %{_sysconfdir}/avahi/services
%{_sysconfdir}/avahi/services/ssh.service
%{_sysconfdir}/avahi/services/sftp-ssh.service
%{_sysconfdir}/dbus-1/system.d/avahi-dbus.conf
%{_sysconfdir}/init.d/avahi-daemon
%{_sysconfdir}/init.d/avahi-dnsconfd
%{_bindir}/avahi-*
%{_sbindir}/avahi-daemon
%{_sbindir}/avahi-dnsconfd
%{_sbindir}/avahi-autoipd

%{_bindir}/bshell
%{_bindir}/bssh
%{_bindir}/bvnc

%{_datadir}/applications/avahi-discover.desktop
%{_datadir}/applications/bssh.desktop
%{_datadir}/applications/bvnc.desktop
%{_datadir}/avahi
%{_datadir}/locale/*/*/*

%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man8/*
%attr(0750,avahi,avahi) %dir %{_localstatedir}/run/avahi-daemon

%{_libdir}/libavahi-client.so.*
%{_libdir}/libavahi-common.so.*
%{_libdir}/libavahi-core.so.*
%{_libdir}/libdns_sd.so.*
%{_libdir}/libhowl.so.*
%{_libdir}/libavahi-ui.so.*
%{_libdir}/libavahi-gobject.so.*

%{_libdir}/avahi

#%%files python
#%%defattr(-,root,root)
/usr/lib/python%{pyver}/site-packages/avahi
/usr/lib/python%{pyver}/site-packages/avahi_discover

%files devel
%defattr(-,root,root)
%{_includedir}/avahi-client
%{_includedir}/avahi-common
%{_includedir}/avahi-compat-howl
%{_includedir}/avahi-compat-libdns_sd
%{_includedir}/avahi-core
%{_includedir}/avahi-gobject
%{_includedir}/avahi-ui

%{_libdir}/libavahi-client.so
%{_libdir}/libavahi-client.*a
%{_libdir}/libavahi-common.so
%{_libdir}/libavahi-common.*a
%{_libdir}/libavahi-core.so
%{_libdir}/libavahi-core.*a
%{_libdir}/libdns_sd.so
%{_libdir}/libdns_sd.*a
%{_libdir}/libhowl.so
%{_libdir}/libhowl.*a
%{_libdir}/libavahi-ui.so
%{_libdir}/libavahi-ui.*a
%{_libdir}/libavahi-gobject.so
%{_libdir}/libavahi-gobject.*a

%{_libdir}/pkgconfig/avahi-client.pc
%{_libdir}/pkgconfig/avahi-compat-howl.pc
%{_libdir}/pkgconfig/avahi-compat-libdns_sd.pc
%{_libdir}/pkgconfig/avahi-core.pc
%{_libdir}/pkgconfig/avahi-gobject.pc
%{_libdir}/pkgconfig/avahi-ui.pc

%ifnarch ppc64 alpha sparc64
%{_libdir}/pkgconfig/avahi-sharp.pc
%{_libdir}/pkgconfig/avahi-ui-sharp.pc
%endif

%ifnarch ppc64 alpha sparc64
%files mono
%defattr(-,root,root)
%{_prefix}/lib/mono/gac/avahi-sharp
%{_prefix}/lib/mono/gac/avahi-ui-sharp
%dir %{_prefix}/lib/mono/avahi-sharp
%{_prefix}/lib/mono/avahi-sharp/avahi-sharp.dll
%dir %{_prefix}/lib/mono/avahi-ui-sharp
%{_prefix}/lib/mono/avahi-ui-sharp/avahi-ui-sharp.dll
%{_prefix}/lib/monodoc/sources/avahi-sharp-docs.*
%{_prefix}/lib/monodoc/sources/avahi-ui-sharp-docs.*
%endif

%files glib
%defattr(-,root,root)
%{_libdir}/libavahi-glib.so.*

%files glib-devel
%defattr(-,root,root)
%{_libdir}/libavahi-glib.so
%{_libdir}/libavahi-glib.*a
%{_includedir}/avahi-glib
%{_libdir}/pkgconfig/avahi-glib.pc

%files qt3
%defattr(-,root,root)
%{_libdir}/libavahi-qt3.so.*

%files qt3-devel
%defattr(-,root,root)
%{_libdir}/libavahi-qt3.so
%{_libdir}/libavahi-qt3.a
%{_includedir}/avahi-qt3
%{_libdir}/pkgconfig/avahi-qt3.pc

%files qt4
%defattr(-,root,root)
%{_libdir}/libavahi-qt4.so.*

%files qt4-devel
%defattr(-,root,root)
%{_libdir}/libavahi-qt4.so
%{_libdir}/libavahi-qt4.a
%{_includedir}/avahi-qt4
%{_libdir}/pkgconfig/avahi-qt4.pc

%changelog
* Sun Jul  5 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.25-2m)
- move pc file from mono to devel

* Sun Apr 19 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.25-1m)
- update to 0.6.25
- [SECURITY] CVE-2009-0758

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.6.24-3m)
- rebuild against rpm-4.6

* Wed Dec 31 2008 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.6.24-2m)
- rebuild against python-2.6.1-1m

* Tue Dec 16 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.24-1m)
- update to 0.6.24
- [SECURITY] CVE-2008-5081

* Sat Nov  8 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.23-2m)
- good-bye debug symbol

* Sun Jun 29 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.23-1m)
- update to 0.6.23

* Sun May 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.6.22-4m)
- rebuild against qt3 and qt-4.4.0-1m

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.6.22-3m)
- rebuild against gcc43

* Thu Mar  6 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.22-2m)
- rebuild against gtk-sharp2-2.12.0

* Sun Jan  6 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.22-1m)
- update to 0.6.22
-- delete patch2 (merged)

* Wed Aug 22 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.21-1m)
- update to 0.6.21

* Sat Jun 30 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (0.6.20-2m)
- require libdaemon >= 0.11

* Fri Jun 29 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.20-1m)
- update to 0.6.20
- [SECURITY] CVE-2007-3372

* Wed May 23 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.6.19-3m)
- rebuild against monodoc-1.2.3-2m for moving monodoc dir

* Tue May 22 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.6.19-2m)
- add avahi-ui-sharp build patch
- add lib64 patch

* Wed May 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.19-1m)
- update to 0.6.19

* Fri Mar  2 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.17-1m)
- update to 0.6.17

* Wed Feb  7 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.6.16-2m)
- rebuild against python-2.5-9m
- delete pythondir.patch

* Sun Jan 21 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.16-1m)
- [SECURITY] CVE-2006-6870
- update to 0.6.16

* Sun Jan  7 2007 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.6.15-4m)
- disable mono for ppc64, alpha, sparc64

* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.15-3m)
- rebuild against python-2.5

* Sat Nov 18 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.6.15-2m)
- add BuildPreReq qt4-devel

* Fri Nov 17 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.15-1m)
- update to 0.6.15

* Sat Sep 16 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.13-4m)
- remove category Application

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.13-3m)
- delete libtool library

* Mon Sep  4 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.13-2m)
- add patch2 from mandriva
- group name "netdev -> avahi"

* Thu Aug 31 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.13-1m)
- update to 0.6.13

* Sat Aug 26 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.6.10-11m)
- rebuild against expat-2.0.0-1m

* Sun Aug 13 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.6.10-10m)
- revised for multilibarch

* Wed Jul 19 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.10-9m)
- avahi-python was bandled in avahi

* Sun Jun 11 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.10-8m)
- remove GNOME and Utility from Categories of avahi-discover.desktop

* Tue Jun  6 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.10-7m)
- PreReq: chkconfig, shadow-utils

* Sat Jun 03 2006 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.6.10-6m)
- add pythondir patch for lib64

* Fri Jun  2 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.10-5m)
- avahi-glib-devel and avahi-qt3-devel Requires: avahi-devel

* Fri Jun  2 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.10-4m)
- revise /etc/init.d/avahi-dnsconfd
- revise %%preun

* Fri Jun  2 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.10-3m)
- add %%pre and modify %%post
- modify %%install and %%files

* Thu Jun  1 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.10-2m)
- sepaleted package 
-- glib glib-devel qt3 qt3-devel

* Sun May  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.10-1m)
- update to 0.6.10
-- start mono support
-- avahi-python is now a separeted package.

* Fri Feb 10 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.6-1m)
- update to 0.6.6 
-- This release fixes some bugs and includes some documentation updates

* Tue Jan 26 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.5-1m)
- Start
